Bug 786047

Summary: [abrt] fontforge-20110222-4.fc16: MakeStrokeDlg: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Suman Mummaneni <sumancse>
Component: fontforgeAssignee: Kevin Fenzi <kevin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: fonts-bugs, kevin, paul
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:26c912d5ffd121e6413a5439ef90c6278c71cad6
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 20:36:10 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: dso_list
none
File: maps none

Description Suman Mummaneni 2012-01-31 04:28:58 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        fontforge
crash_function: MakeStrokeDlg
executable:     /usr/bin/fontforge
kernel:         3.2.2-1.fc16.x86_64
pid:            4178
pwd:            /home/suman
reason:         Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
time:           Tue 31 Jan 2012 02:58:56 PM IST
uid:            1000
username:       suman
xsession_errors: 

backtrace:      Text file, 154622 bytes
dso_list:       Text file, 5089 bytes
maps:           Text file, 24399 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:040f78c63e49df93936f710287bdc74ae83111c0
:513b62aebf666f00864c6f1ebea4dc82b2bc5012
:3ed9e61c2b7e707ce244816335776afa2ad0307d
:aa733447f84020c94a66814e501a36e248cbb43d
:0eefa71f03aeae728a44bc927c8af81a5d8d212d
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:6ae19b07608683ea0d76f1406c6d50d5a2793ecc
:d0c6e13f00a20952a72a945c929efb175fd760e3
:ab59942678bcdecb23756804dcd0aac63ccc1669
:c124e79ca47fee27b34b962e8144fd5ae98f1dae
:3d7445fcfec84df0bd46f12e5540d6ab6db2ec9d
:f0d50e3af2dfee021a327fb85a993a2312a98145
:638db099ff5fb986d1a092629d1bb1dca5be4904
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:b502249bcf2a4f465feeb8b9578c80cda6f4103d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:8631fa022a75e4bfbd78f96ad368f88456e39cfe
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:ab93f5a6105938b598a9eb4321bcfb9c244945d5
:48aea888319e1848137073c9cbde54a4c2a731c9
:36c3026b958ed92321d0531a483442a9c5a957e9
:2f884a17559b8d3954348fdf2131980eac9a79f0
:4c842320387ff7f6f91b7842b223c16518be909f
:e2e67b3ae2579e1667b73ad385f61552931024e9
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:374add1ead31ccb449779bc7ee7877de3377e5ad
:07470201df55a5254027d05fa4dc509b10f2986a
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:dc729005f811417fddf05fe15b27c01257fed480
:c64ae11db2f40081de9a6983295b7e2105556695
:b7633dbfe4880a163b4059184cb20c37cfaf7521
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:c394c720f0727b738128393fbf26ebd355f42498
:54a066b1f8ae391050d51221778b39261283cf51
:930141e14bc90a585553dfbe2c6661806af11f06
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:d203a42e4c417fbf0c6ab96ce6f7946ec8ac0435

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=sumanm.corpusinc.corp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=f4b5cb63b48ca2728714fb9c00000011-1327986134.847081-1060646165
:GNOME_KEYRING_CONTROL=/tmp/keyring-CYjTJX
:IMSETTINGS_MODULE=none
:USER=suman
:USERNAME=suman
:MAIL=/var/spool/mail/suman
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/suman/.local/bin:/home/suman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/suman
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1236
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/suman
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=suman
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-SLeFRzckh8,guid=51d78096c5de2ed08a9bccf700000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/suman
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-suman-EkAgQA/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1242,unix/unix:/tmp/.ICE-unix/1242
:GPG_AGENT_INFO=/tmp/keyring-CYjTJX/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-CYjTJX/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-fontforge.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4178

var_log_messages:
:Jan 30 16:27:37 sumanm yum[21743]: Installed: fontforge-20110222-4.fc16.x86_64
:Jan 30 16:27:38 sumanm yum[21743]: Installed: fontforge-devel-20110222-4.fc16.x86_64
:Jan 30 16:49:16 sumanm abrt[22248]: Saved core dump of pid 22234 (/usr/bin/fontforge) to /var/spool/abrt/ccpp-2012-01-30-16:49:15-22234 (11223040 bytes)
:Jan 31 14:36:57 sumanm kernel: [14699.600092] fontforge[3830]: segfault at 20 ip 0000000000492067 sp 00007fff736331f0 error 4 in fontforge[400000+1cb000]
:Jan 31 14:36:57 sumanm abrt[3840]: Saved core dump of pid 3830 (/usr/bin/fontforge) to /var/spool/abrt/ccpp-2012-01-31-14:36:57-3830 (13426688 bytes)
:Jan 31 14:42:47 sumanm kernel: [15049.366231] fontforge[3926]: segfault at 20 ip 0000000000492067 sp 00007fffeda0e980 error 4 in fontforge[400000+1cb000]
:Jan 31 14:42:47 sumanm abrt[3932]: Saved core dump of pid 3926 (/usr/bin/fontforge) to /var/spool/abrt/ccpp-2012-01-31-14:42:47-3926 (13430784 bytes)
:Jan 31 14:58:56 sumanm kernel: [16017.116433] fontforge[4178]: segfault at 20 ip 0000000000492067 sp 00007fff4cd0dd90 error 4 in fontforge[400000+1cb000]
:Jan 31 14:58:56 sumanm abrt[4191]: Saved core dump of pid 4178 (/usr/bin/fontforge) to /var/spool/abrt/ccpp-2012-01-31-14:58:56-4178 (13369344 bytes)
Comment 1 Suman Mummaneni 2012-01-31 04:29:02 EST
Created attachment 558578 [details]
File: dso_list
Comment 2 Suman Mummaneni 2012-01-31 04:29:06 EST
Created attachment 558579 [details]
File: maps
Comment 3 Kevin Fenzi 2012-02-14 11:27:05 EST
What were you doing when this happened?
Can you duplicate the crash?
Comment 4 Fedora End Of Life 2013-01-16 18:10:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 20:36:14 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.